Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Class MouseWheelVelocity

    java.lang.Object
      com.google.gwt.user.client.ui.MouseWheelVelocity

    public class MouseWheelVelocity

extends java.lang.Object

Encapsulates the direction and velocity of mouse wheel events. Not all combinations of browser and user input devices can generate all combinations of direction or range of velocity information.

See Also:
  `An explanation of the units used for mouse wheel velocity.`

Field Summary
`protected int` | `vY` Stores the Y-axis velocity.

Constructor Summary
`MouseWheelVelocity(Event e)` Construct the higher-level view of the original ONMOUSEWHEEL Event.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `getDeltaY()`
`int` | `hashCode()`
`boolean` | `isNorth()` Convenience method that returns `true` if `getDeltaY()` is a negative value.
`boolean` | `isSouth()` Convenience method that returns `true` if `getDeltaY()` is a positive value.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### vY

    protected final int vY

  Stores the Y-axis velocity.

Constructor Detail

### MouseWheelVelocity

    public MouseWheelVelocity(Event e)

  Construct the higher-level view of the original ONMOUSEWHEEL Event.

  Parameters:
    `e` - the event

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### getDeltaY

    public int getDeltaY()

  Returns:
    the change in the mouse wheel position along the Y-axis; positive if the mouse wheel is moving north (toward the top of the screen) or negative if the mouse wheel is moving south (toward the bottom of the screen)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### isNorth

    public boolean isNorth()

  Convenience method that returns `true` if `getDeltaY()` is a negative value.

  Returns:
    `true` if the velocity includes a component directed toword the top of the screen

### isSouth

    public boolean isSouth()

  Convenience method that returns `true` if `getDeltaY()` is a positive value.

  Returns:
    `true` if the velocity includes a component directed toword the bottom of the screen

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD